Package oracle.nosql.driver.ops

# Class TableUsageResult

java.lang.Object
oracle.nosql.driver.ops.Result
oracle.nosql.driver.ops.TableUsageResult

public class TableUsageResult extends Result
Cloud service only.

GetTableUsageResult is returned from `NoSQLHandle.getTableUsage(oracle.nosql.driver.ops.TableUsageRequest)`. It encapsulates the dynamic state of the requested table.

See Also:
  - `NoSQLHandle.getTableUsage(oracle.nosql.driver.ops.TableUsageRequest)`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TableUsageResult.TableUsage`
  TableUsage represents a single usage record, or slice, that includes information about read and write throughput consumed during that period as well as the current information regarding storage capacity.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableUsageResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLastReturnedIndex()`
  Returns the index of the last usage record returned.
  `String`
  `getTableName()`
  Returns the table name used by the operation
  `TableUsageResult.TableUsage[]`
  `getUsageRecords()`
  Returns an array of usage records based on the parameters of the `TableUsageRequest` used.
  `String`
  `toString()`

  ### Methods inherited from class oracle.nosql.driver.ops.Result

  `getRateLimitDelayedMs, getRetryStats`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableUsageResult

    public TableUsageResult()

- ## Method Details

  - ### getTableName

    public String getTableName()
    Returns the table name used by the operation
    Returns:
      the table name

  - ### getUsageRecords

    public TableUsageResult.TableUsage[] getUsageRecords()
    Returns an array of usage records based on the parameters of the `TableUsageRequest` used.
    Returns:
      an arry of usage records

  - ### getLastReturnedIndex

    public int getLastReturnedIndex()
    Returns the index of the last usage record returned. This can be provided to `TableUsageRequest` to be used as a starting point for listing usage records.
    Returns:
      the index
    Since:
      5.4

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`